Bug 55641 - System crashes when mounting cdrom
System crashes when mounting cdrom
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-11-03 15:11 EST by Phil Terrett
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 16:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Terrett 2001-11-03 15:11:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When inserting cd, using mount command system locks up and become 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Insert CD
2.Use mount /dev/cdrom command
3.System halts and crashes

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-11-05 07:25:05 EST
This definitely doesn't have anything to do with the mount package; reassigning. 
Please add details about your hardware (CD-ROM device, IDE/SCSI controller the CD-ROM is connected to, etc.), since this works for us. 
Comment 2 Arjan van de Ven 2001-11-05 07:27:46 EST
Does this still happen if you type (as root)
 hdparm -d 0 /dev/cdrom

first ?
Comment 3 Phil Terrett 2001-11-06 10:47:51 EST
Hardware Used:
- Intel VC8220 motherboard
- Intel D815EEA motherboard
- Intel SE440BX motherboard
- TEAC CD-540E CD-ROM unit
- LG CW-7585-B CD-RW unit
- LG CRD 8482B CD-ROM unit

Noticed that it will play audio CD's but whenever a data CD is used the system 
does lockup.
Comment 4 Arjan van de Ven 2001-11-06 10:50:55 EST
even after the hdparm command ?
Comment 5 Phil Terrett 2001-11-06 10:56:14 EST
hdparm command worked on one of the systems, need to check the others now...
Comment 6 Phil Terrett 2001-11-06 11:06:25 EST
Issue seems to have resolved the crash on our Intel CA810EAL and Intel VC820 
motherboards. I noticed that it disables the DMA on the /dev/cdrom device is 
this a known issue cause we never had any issues with it until 7.2
Comment 7 Arjan van de Ven 2002-01-18 14:54:52 EST
I'm getting so much reports about cdrom drives not doing dma properly that I'm
considering just disabling it by default for ALL cdrom drives.

Note You need to log in before you can comment on or make changes to this bug.